=== modified file 'bzrlib/commit.py'
--- bzrlib/commit.py	2005-05-16 02:47:58 +0000
+++ bzrlib/commit.py	2005-05-16 02:49:56 +0000
@@ -42,6 +42,13 @@
 
     specific_files
         If true, commit only those files.
+
+    rev_id
+        If set, use this as the new revision id.
+        Useful for test or import commands that need to tightly
+        control what revisions are assigned.  If you duplicate
+        a revision id that exists elsewhere it is your own fault.
+        If null (default), a time/random revision id is generated.
     """
 
     import os, time, tempfile
@@ -57,10 +64,6 @@
 
     branch._need_writelock()
 
-    ## TODO: Show branch names
-
-    # TODO: Don't commit if there are no changes, unless forced?
-
     # First walk over the working inventory; and both update that
     # and also build a new revision inventory.  The revision
     # inventory needs to hold the text-id, sha1 and size of the

